暴力~HDU 1049 Climbing Worm

7 篇文章 0 订阅
6 篇文章 0 订阅
Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 65536/32768 K (Java/Others)
Total Submission(s): 18007    Accepted Submission(s): 12239


Problem Description
An inch worm is at the bottom of a well n inches deep. It has enough energy to climb u inches every minute, but then has to rest a minute before climbing again. During the rest, it slips down d inches. The process of climbing and resting then repeats. How long before the worm climbs out of the well? We'll always count a portion of a minute as a whole minute and if the worm just reaches the top of the well at the end of its climbing, we'll assume the worm makes it out.
 

Input
There will be multiple problem instances. Each line will contain 3 positive integers n, u and d. These give the values mentioned in the paragraph above. Furthermore, you may assume d < u and n < 100. A value of n = 0 indicates end of output.
 

Output
Each input instance should generate a single integer on a line, indicating the number of minutes it takes for the worm to climb out of the well.
 

Sample Input
  
  
10 2 1 20 3 1 0 0 0
 

Sample Output
  
  
17 19
 

Source
 

Recommend

We have carefully selected several similar problems for you:  1071 2035 1425 1050 1052


按照OJ题目分类 这题应该是贪心入门水题,不过水是水了,贪心却没有感觉出来,直接暴力……

然后再去找一下别人的题解吧……


#include <cstdio>
#include <iostream>
using namespace std;

int main()
{
	int n,u,d;
	while(scanf("%d%d%d",&n,&u,&d))
	{
		if((n&&u&&d) == 0)
			break;
		int sum = 0;
		int count = 0;
		while(sum != n)
		{
			sum += u;
			count ++;
			if(sum >= n)
			{
				printf("%d\n",count);
				break;
			}
			sum -= d;
			count ++;
		}
	}
	return 0;
}




评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值